// ao se utilizar extend em seletores aninhados (e, mais ainda, aninhados em paralelo), a classe extendida acabará renderizando no css todas as combinações possíveis de seletores, o que pode gerar um css enorme.
// ao usar extend, tente ao máximo manter os seletores simples
// se for mt necessário o uso a partir de 2 níveis de seletores aninhados, considere utilizar mixin.
%btn {
  min-width: 150px;
  padding: 10px 20px;
}
// demonstração
.my-container,
.header,
.footer {
  .btn-confirm {
    @extend %btn;
    background-color: green;
    color: white;
  }
}
.modal,
.table,
.menu {
  .btn-group {
    .btn-cancel {
      @extend %btn;
      background-color: red;
      color: white;
    }
  }
}
